<ScreenMenu>:
    id: menu_screen

    AnchorLayout:
        size: self.parent.size
        anchor_x: 'center'
        anchor_y: 'center'

        BoxLayout:
            orientation: "vertical"
            size_hint: 0.5, 0.8
            spacing: 20

            LabelSB:
                size_hint_y: 0.2
                font_size: 40
                text_id: 'select_action'

            BoxLayout:
                orientation: "horizontal"
                spacing: 20
                size_hint_y: 0.6
                ButtonLight:
                    text_id: 'buy'
                    on_release:
                        root.buy_crypto()
                ButtonDark:
                    text_id: 'sell'
                    on_release:
                        root.sell_crypto()


            BoxLayout:
                orientation: "horizontal"
                spacing: 20
                size_hint_y: 0.3

                # Both 'coming_soon' buttons
                BoxLayoutBackground:
                    background_color: color_darker_black
                    orientation: "vertical"
                    padding: 30
                    LabelBase:
                        color: color_gray_4
                        text_id: 'phone_credit'
                        font_size: 25
                        text: self.text.upper() if self.text is not None and not self.markup else self.text
                    LabelBase:
                        color: color_gray_4
                        font_size: 15
                        text_id: 'coming_soon'
                BoxLayoutBackground:
                    background_color: color_darker_black
                    orientation: "vertical"
                    padding: 30
                    LabelBase:
                        color: color_gray_4
                        text_id: 'investment'
                        font_size: 25
                        text: self.text.upper() if self.text is not None and not self.markup else self.text
                    LabelBase:
                        color: color_gray_4
                        font_size: 15
                        text_id: 'coming_soon'